Mac OSX Java终端版本不正确

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (78)

好的,我对Mac和OSX有点新,但是我选择了一个,这样我就可以在我的Java程序上做一些故障排除,因为我工作的公司使用OSX和Windows机器的组合。我遇到的问题是,当我从Oracle网站安装Java 7时,它会更新首选项菜单,并在双击它们时正确执行.jar文件,但终端窗口的版本仍为1.6.0_43,并运行与终端相同的.jar文件导致运行时由于旧版本的错误。

当我导航到/ Library / Java / JavaVirtualMachines /时,出现一个空文件夹。从我在其他文章中看到的,这是Java 1.7.0的版本文件夹应该在的地方。任何想法发生了什么?我怎样才能让终端使用正确版本的Java?

total 64 lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.4 -> CurrentJDK lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.4.2 -> CurrentJDK lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.5 -> CurrentJDK lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.5.0 -> CurrentJDK lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.6 -> CurrentJDK lrwxr-xr-x 1 root wheel 10 Mar 17 21:38 1.6.0 -> CurrentJDK drwxr-xr-x 8 root wheel 272 Mar 17 21:38 A lrwxr-xr-x 1 root wheel 1 Mar 17 21:38 Current -> A lrwxr-xr-x 1 root wheel 59 Mar 17 21:38 CurrentJDK -> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents

ls -ld /usr/bin/java lrwxr-xr-x 1 root wheel 74 Mar 17 21:38 /usr/bin/java -> /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/java

对于新的答案错误抱歉,过于习惯了站点,阻止编辑的原始帖子这么长时间后...

提问于
用户回答回答于

问题是Oracle的JRE安装不会更改/ usr / bin / java可执行文件。如果你想使用这个Java,你必须使用/ Library下的路径(需要找到这是我有JDK安装,因此可能会有所不同)

根据Oracle的JRE 安装文档

从Oracle安装JRE不会更新java -version符号链接或将java添加到您的路径。为了能够做到这一点,您需要安装JDK。

Oracle JDK的确改变/usr/bin/java为指向Java 7可执行文件。如果你正在开发,那么你应该使用它,因为它包含的不仅仅是JRE。

Oracle 安装FAQ

问:我应该安装JRE还是JDK? 答:如果您计划运行Java应用程序,请安装Java运行时环境(JRE)。JRE也被称为Oracle Java。安装完JRE后,可以通过双击JAR文件,JNLP文件和浏览器来启动Java applet和应用程序。请注意,JRE不支持32位浏览器,例如32位模式的Firefox和Chrome。 如果您计划编写Java应用程序,请安装Java开发工具包(JDK)。

热门问答

对象存储, 版本控制,没有提供对象的历史版本列表的查询API吗?

serverless db 如何管理?

Richel码农
推荐
1.支持pg_dump,psql工具进行数据导入和导出。 2.本地CLI,可以使用postgresql的客户端psql,也可以使用dbeavr,navicate,pgadmin等工具访问。 3.支持操作DB ,要自己写逻辑 ... 展开详请

腾讯云何时会有域名交易系统?

腾讯云域名与DNS解析团队域名、解析产品经理
推荐

安卓APP使用免费版加固后,在Android11系统上运行闪退,是什么原因?

hello,目前已经适配了Android R Beta1,预计这周内上线移动应用安全在线版,请留意日志更新

配置 https 配置完后报错?

女淘日记

杭州吱吱吱科技 · 站长 (已认证)

推荐已采纳

请检查服务器是否安装了代理?如有请尝试移除代理再尝试

另外,curl访问https时候需要确保服务器已经保存了证书,可以通过 curl -k --tlsv1 过滤

mysql安装后修改默认密码问题?

推荐已采纳
您好,可以先配置免密登录数据库,将密码修改后再关闭免密登录即可,下面介绍简要步骤: 1. 获得服务器超级管理员权限,然后先停止mysql服务 2. 修改mysql启动参数文件,文件一般在 /etc/my.cnf (linux)在[mysqld]的段中加上一句:skip-gra...... 展开详请

所属标签

扫码关注云+社区

领取腾讯云代金券